<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
    </configSections>
    <connectionStrings>
        <add name="HeliosApp.My.MySettings.cd_cdata2ConnectionString" connectionString="Data Source=200.189.181.164;Initial Catalog=cd_cdata2;User ID=sa;Password=9qbwh2n8" providerName="System.Data.SqlClient" />
        <add name="HeliosApp.My.MySettings.hcd_clientConnectionString" connectionString="Data Source=ACER;Initial Catalog=hcd_client;Integrated Security=True" providerName="System.Data.SqlClient" />
        <add name="HeliosApp.My.MySettings.hcd_clientConnectionString1" connectionString="Data Source=ACER\;Initial Catalog=hcd_client;Integrated Security=True" providerName="System.Data.SqlClient" />
        <add name="HeliosApp.My.MySettings.hcd_clientConnectionString2" connectionString="Data Source=200.172.34.36;Initial Catalog=hcd_client;Persist Security Info=True;User ID=sa;Password=sa@9qbwh2n8" providerName="System.Data.SqlClient" />
        <add name="HeliosApp.My.MySettings.hcd_clientConnectionString3" connectionString="Data Source=DEVELOPER-DELL;Initial Catalog=hcd_client;Integrated Security=True" providerName="System.Data.SqlClient" />
    </connectionStrings>
    <system.diagnostics>
        <sources>
            <!-- This section defines the logging configuration for My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog" />
                    <!-- Uncomment the below section to write to the Application Event Log -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information" />
        </switches>
        <sharedListeners>
            <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter" />
            <!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
  <!--<system.windows.forms jitDebugging="true" />-->

    <!--<system.web>
        <httpModules>
            <add name="ASPxHttpHandlerModule" type="DevExpress.Web.ASPxClasses.ASPxHttpHandlerModule, DevExpress.Web.v10.2, Version=10.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
        </httpModules>
    </system.web>

    <system.webServer>
        <modules>
            <add name="ASPxHttpHandlerModule" type="DevExpress.Web.ASPxClasses.ASPxHttpHandlerModule, DevExpress.Web.v10.2, Version=10.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
        </modules>
    </system.webServer>-->
    <system.serviceModel>
      
      <bindings>
        <basicHttpBinding>
          <binding name="soap11" />
          <binding name="RouteCoordsFinderSoap" />
          <binding name="RouteSoap" />
          <binding name="AddressFinderSoap" />
          <binding name="RouteProximitySoap" />
        </basicHttpBinding>
      </bindings>

      <client>
        <endpoint address="http://54.213.54.44:8080/HeliosService/soap"
          binding="basicHttpBinding" bindingConfiguration="soap11" contract="HeliosWCF.IHeliosService"
          name="soap11" />
        <endpoint address="http://services.maplink.com.br/webservices/v4/RouteCoordsFinder/RouteCoordsFinder.asmx"
          binding="basicHttpBinding" bindingConfiguration="RouteCoordsFinderSoap"
          contract="RouteCoordsAPI.RouteCoordsFinderSoap" name="RouteCoordsFinderSoap" />
        <endpoint address="http://services.maplink.com.br/webservices/v3/route/route.asmx"
          binding="basicHttpBinding" bindingConfiguration="RouteSoap"
          contract="RouteAPI.RouteSoap" name="RouteSoap" />
        <endpoint address="http://services.maplink.com.br/webservices/v3.1/AddressFinder/AddressFinder.asmx"
          binding="basicHttpBinding" bindingConfiguration="AddressFinderSoap"
          contract="MapLinkAddressFinder.AddressFinderSoap" name="AddressFinderSoap" />
        <endpoint address="http://services.maplink.com.br/webservices/v1.1/routeproximity/routeproximity.asmx"
          binding="basicHttpBinding" bindingConfiguration="RouteProximitySoap"
          contract="MapLinkRouteProximity.RouteProximitySoap" name="RouteProximitySoap" />
      </client>

    </system.serviceModel>

<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" /></startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.10.0" newVersion="2.6.10.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.10.0" newVersion="2.6.10.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
